Bug 139329 - Hatching and pattern fill options in sidebar not present for page background
Summary: Hatching and pattern fill options in sidebar not present for page background
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
7.0.0.1 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Katarina Behrens
URL:
Whiteboard: target:7.2.0 target:7.1.4 target:7.0.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2020-12-30 21:50 UTC by mwtjunkmail
Modified: 2021-05-05 21:46 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
screen capture of sidebar (19.43 KB, image/png)
2020-12-30 21:51 UTC, mwtjunkmail
Details
Bibisect log (2.90 KB, text/plain)
2021-01-03 11:41 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description mwtjunkmail 2020-12-30 21:50:16 UTC
Description:
Selecting Hatching or Pattern for a page background does not provide the various types of fills for these options.  They're available for objects.

Steps to Reproduce:
1. Launch Microsoft Windows LibreOffice 7.2.0.0
2. Create a new Draw document
3. Select either Hatching or Pattern for the background option

Actual Results:
No hatching or pattern fill options appear after step 3.

Expected Results:
Hatching or pattern fill options should appear after step 3.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.2.0.0.alpha0+ (x64)
Build ID: c0eee433e079d8e3413f4691607e075b99af92b0
CPU threads: 8; OS: Windows 10.0 Build 21277; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 1 mwtjunkmail 2020-12-30 21:51:05 UTC
Created attachment 168584 [details]
screen capture of sidebar

Difference between setting the fill on an object versus the page background.
Comment 2 Telesto 2020-12-31 09:33:26 UTC
You should have mentioned 'sidebar' somewhere. The title/report is pretty confusing without. I assumed the hatch didn't show on page/canvas :P. Or the specific hatch not showing.

Said by someone who's getting complains about poor reporting quality on a regular basis :P.
Comment 3 Telesto 2020-12-31 09:34:11 UTC
Did work with
Version: 6.2.9.0.0+ (x86)
Build ID: 5f01fe15eb2661f1f9ce12d1d99dc2a705b462ee
CPU threads: 4; OS: Windows 6.3; UI render: GL; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 4 Telesto 2020-12-31 09:34:51 UTC
And still ok with
Version: 6.4.0.0.beta1+ (x64)
Build ID: 20be5cd0bdc57d812bf34a2debfe48caa51de881
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: default; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 5 mwtjunkmail 2021-01-02 14:21:11 UTC
This bug also causes the page margin and master page options in the sidebar to be pushed down to a point that they cannot be reached.
Comment 6 Telesto 2021-01-03 11:41:27 UTC
Created attachment 168641 [details]
Bibisect log

Bisected to:
author	Pranam Lashkari <lpranam@collabora.com>	2020-04-23 19:29:10 +0530
committer	Andras Timar <andras.timar@collabora.com>	2020-05-02 23:22:06 +0200
commit	cbe86ee37018dc4bf04783ecf70fef2863e61ad7 (patch)
tree	8ed9461660292e2fb6033cdb3ce110c1bd948a6f
parent	550f564d1689036a247d73d25a2d903b26ad06fa (diff)
Added separate color picker for slide background gradient

https://cgit.freedesktop.org/libreoffice/core/commit/?id=cbe86ee37018dc4bf04783ecf70fef2863e61ad7
Comment 7 Telesto 2021-01-03 11:42:07 UTC
Adding CC: to Pranam Lashkari
Comment 8 mwtjunkmail 2021-03-22 18:26:45 UTC
Still a problem in 

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 07996bcca53939af02921a3d4681c6c7d62a0e40
CPU threads: 8; OS: Windows 10.0 Build 19042; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 9 Commit Notification 2021-05-04 13:09:44 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c46a231b987b92bd866b415d1a0ba0d3a26a2457

tdf#139329: Shift widgets down and make hatch&bitmap list visible

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2021-05-05 10:19:35 UTC
Verified in

Version: 7.2.0.0.alpha0+ / LibreOffice Community
Build ID: 1a99b4e44190e182d56a04678850d62635d74c65
CPU threads: 4; OS: Linux 5.7; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Bubli, thanks for fixing this issue!!
Comment 11 Commit Notification 2021-05-05 10:20:20 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/4956d637401e07e9d562233d963739ec16d0d929

tdf#139329: Shift widgets down and make hatch&bitmap list visible

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2021-05-05 14:27:43 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/154811f493df51e4cf90598aec86d992340f0e11

tdf#139329: Shift widgets down and make hatch&bitmap list visible

It will be available in 7.0.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2021-05-05 21:46:29 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "libreoffice-7-0-6":

https://git.libreoffice.org/core/commit/231ce4e8058d4885ef3975dbbde556c47a6161fb

tdf#139329: Shift widgets down and make hatch&bitmap list visible

It will be available in 7.0.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.